Search pending sponsored invitations

Path Params
string
required

Tenant identifier.

Query Params
number
1 to 100

Limit. Default value is 20.

string

Starting after is an object ID that defines your place in the list.

string

Contributor email.

string
length between 1 and 50

The affiliate code (brandCode) is an identifier for the "brand" or "affiliate" within a Tenant. The affiliate code is the version of the brand name that appears in the URL. A brand name may be "Corporate ABC", for example. Then the affiliate code might be something like "corporate-abc".

string
length between 1 and 100

Contributor's first name.

string
length between 1 and 100

Contributor's last name.

string
length between 1 and 200

Business name.

number
1 to 3650

Filter invitations created in the last X days.

Valid Range: 1 to 3650 days (approximately 10 years)
Examples:

  • 7: Last week
  • 30: Last month
  • 90: Last quarter
  • 365: Last year

Implementation: Filters by invitation createdAt timestamp using $gte MongoDB operator.

number
1 to 3650

Filter invitations created up to X days ago (older than X days).

Valid Range: 1 to 3650 days (approximately 10 years)
Examples:

  • 7: Older than one week
  • 30: Older than one month
  • 90: Older than one quarter
  • 365: Older than one year

Implementation: Filters by invitation createdAt timestamp using $gte MongoDB operator.
Combine with openSinceDays: Create date windows (e.g., openSinceDays=20&openUntilDays=25 = 20-25 days old).

string
enum

Sort response by field.

Allowed:
string
enum

Sort response order.

Allowed:
boolean

Filter users who have lock.

Response

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json